Index: uspace/lib/usb/src/addrkeep.c
===================================================================
--- uspace/lib/usb/src/addrkeep.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/addrkeep.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/class.c
===================================================================
--- uspace/lib/usb/src/class.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/class.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/debug.c
===================================================================
--- uspace/lib/usb/src/debug.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/debug.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/dp.c
===================================================================
--- uspace/lib/usb/src/dp.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/dp.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -45,5 +45,5 @@
  * @param data Parser data.
  * @param ptr Pointer to be verified.
- * @return Whether @ptr points inside <code>data->data</code> field.
+ * @return Whether @p ptr points inside <code>data->data</code> field.
  */
 static bool is_valid_descriptor_pointer(usb_dp_parser_data_t *data,
Index: uspace/lib/usb/src/drvpsync.c
===================================================================
--- uspace/lib/usb/src/drvpsync.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/drvpsync.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/hcdhubd.c
===================================================================
--- uspace/lib/usb/src/hcdhubd.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/hcdhubd.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/hcdhubd_private.h
===================================================================
--- uspace/lib/usb/src/hcdhubd_private.h	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/hcdhubd_private.h	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/hcdrv.c
===================================================================
--- uspace/lib/usb/src/hcdrv.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/hcdrv.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/hidparser.c
===================================================================
--- uspace/lib/usb/src/hidparser.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/hidparser.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/localdrv.c
===================================================================
--- uspace/lib/usb/src/localdrv.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/localdrv.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/recognise.c
===================================================================
--- uspace/lib/usb/src/recognise.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/recognise.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
@@ -39,4 +39,10 @@
 #include <errno.h>
 
+/** Callback for getting host controller handle.
+ *
+ * @param dev Device in question.
+ * @param[out] handle Devman handle of the host controller.
+ * @return Error code.
+ */
 static int usb_iface_get_hc_handle(device_t *dev, devman_handle_t *handle)
 {
@@ -237,4 +243,5 @@
  * @param matches Match ids list to add matches to.
  * @param address USB address of the attached device.
+ * @param config_count Number of configurations the device has.
  * @return Error code.
  */
@@ -342,7 +349,8 @@
 /** Probe for device kind and register it in devman.
  *
- * @param hc Open phone to the host controller.
- * @param parent Parent device.
- * @param address Address of the (unknown) attached device.
+ * @param[in] hc Open phone to the host controller.
+ * @param[in] parent Parent device.
+ * @param[in] address Address of the (unknown) attached device.
+ * @param[out] child_handle Handle of the child device.
  * @return Error code.
  */
Index: uspace/lib/usb/src/remotedrv.c
===================================================================
--- uspace/lib/usb/src/remotedrv.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/remotedrv.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/usb.c
===================================================================
--- uspace/lib/usb/src/usb.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/usb.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/usbdrv.c
===================================================================
--- uspace/lib/usb/src/usbdrv.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/usbdrv.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
Index: uspace/lib/usb/src/usbdrvreq.c
===================================================================
--- uspace/lib/usb/src/usbdrvreq.c	(revision d08abdb7204efa143a7d4b4fb063307727ca0d37)
+++ uspace/lib/usb/src/usbdrvreq.c	(revision afc4fbbdd71b68ed8e64f7044745616c69c4628d)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup libusb usb
+/** @addtogroup libusb
  * @{
  */
@@ -188,5 +188,5 @@
  * @param[in] phone Open phone to HC driver.
  * @param[in] old_address Current address.
- * @param[in] address Address to be set.
+ * @param[in] new_address Address to be set.
  * @return Error code.
  */
